Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005321TestLinkTest Specificationpublic2012-11-04 18:232014-07-27 10:03
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0005321: Test Case Execution Types - Possibility to add custom values
DescriptionNew config Option
$tlCfg->custom_execution_types => map()

THIS VALUES WILL BE ADDE TO STANDARD DOMAIN
testcase:EXECUTION_TYPE_MANUAL
testcase:EXECUTION_TYPE_AUTO

and displayed when managing test case specification.

key => the code, must be different that standard domain.
value => the lbl id to be used.

Printing functions has been refactored to look for specific label
'execution_type_custom_CODE'.

Then suggested way to configure is:
$tlCfg->custom_execution_types = array( 3 => 'execution_type_custom_3')

Also images has to be provided in order to display on EXECUTION HISTORY
user have to define con custom_strings.txt the labels
$TLS_execution_type_custom_3 = 'Pseudo Random';


TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0020953)
RTI (reporter)
2014-05-09 10:54

Hello fman,

is this feature planed to be developed soon ?

thanks

Regards
RTI
(0020954)
fman (administrator)
2014-05-09 11:46

no
(0021141)
modern911 (reporter)
2014-06-19 02:17

Tried TestLink 1.9.9, and it works.
$tlCfg->custom_execution_types = array( 3 => 'execution_type_custom_3')
(0021143)
fman (administrator)
2014-06-19 11:40

great good to know
(0021317)
fman (administrator)
2014-07-27 10:03

released

- Issue History
Date Modified Username Field Change
2012-11-04 18:23 fman New Issue
2012-11-04 18:23 fman Status new => assigned
2012-11-04 18:23 fman Assigned To => fman
2014-05-09 10:54 RTI Note Added: 0020953
2014-05-09 11:46 fman Note Added: 0020954
2014-06-19 02:17 modern911 Note Added: 0021141
2014-06-19 11:40 fman Note Added: 0021143
2014-06-19 11:41 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-06-19 11:41 fman Status assigned => resolved
2014-06-19 11:41 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-06-19 11:41 fman Resolution open => fixed
2014-07-27 10:03 fman Note Added: 0021317
2014-07-27 10:03 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker